{
  name = "log";
  machine = { pkgs, ... }: {
    genode.init.children.log = {
      configFile = pkgs.writeText "log.dhall" ''
        let Genode = env:DHALL_GENODE

        let Child = Genode.Init.Child

        in  Child.flat
              Child.Attributes::{
              , binary = "${pkgs.genodePackages.test-log}/bin/test-log"
              , exitPropagate = True
              , resources = Genode.Init.Resources::{
                , caps = 500
                , ram = Genode.units.MiB 10
                }
              }
      '';
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output("Test done.")
  '';
}
