{
  name = "solo5-multi";
  machine = { pkgs, ... }: {
    genode.init.children.tests = with pkgs.genodePackages; {
      configFile = ''
        ${./.}/solo5.dhall { isAarch64 = ${
          if pkgs.stdenv.hostPlatform.isAarch64 then "True" else "False"
        }
        , nic_bridge = "${nic_bridge}"
        , nic_loopback = "${nic_loopback}"
        , ping = "${genodeSources.make "app/ping"}"
        , sequence = "${sequence}"
        , solo5Tests = "${solo5.tests}"
        , vfs_block = "${vfs_block}"
        }
      '';
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output("child \"tests\" exited with exit value 0")
  '';
}
