{
  name = "x86";
  constraints = builtins.any (spec: spec == "x86");
  machine = { pkgs, ... }: {
    genode.init.subinits.test = {
      configFile = with pkgs.genodePackages;
        pkgs.writeText "x86.dhall" ''
          ${./x86.dhall}
            { acpi_drv = "${acpi_drv}/bin/acpi_drv"
            , platform_drv = "${platform_drv}/bin/platform_drv"
            , test-pci = "${genodeSources.make "test/pci"}/bin/test-pci"
            , test-rtc = "${test-rtc}/bin/test-rtc"
            , test-signal = "${test-signal}/bin/test-signal"
            }
        '';
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output("child \"test\" exited with exit value 0")
  '';
}
